<script>
    import {
        Button,
        Label,
        Listgroup,
        ListgroupItem,
        Heading,
    } from "flowbite-svelte";
    import { layout_file } from "./svelte_stores/layout_store";

    let layouts_general = [
        {
            name: "Real-time data and forecasts of key space weather parameters",
            href: "?layout=real_time_space_weather",
        },
        {
            name: "Solar cycle observations and forecasts",
            href: "?layout=solar_cycles",
        },
        {
            name: "Sunspots",
            href: "?layout=sunspots",
        },
        // { name: "Historical observations / space climate",  href: "index.html?layout=space_climate"},
    ];

    let layouts_may2024 = [
        {
            name: "SDO/HMIIC sunspots",
            href: "?layout=sunspots",
        },
        {
            name: "SOHO LASCO C3 coronagraph",
            href: "?layout=coronagraph",
        },
        {
            name: "GOLD aurora",
            href: "?layout=gold_aurora",
        },
        {
            name: "Auroral MLAT/MLT maps",
            href: "?layout=may2024_aurora_maps",
        },
        {
            name: "Auroral magnetic latitude extent",
            href: "?layout=may2024_aurora_mlat",
        },
        {
            name: "YouTube time lapse movies from The Netherlands",
            href: "?layout=may2024_timelapses_nl",
        },
    ];

    let layouts_swarm = [
        {
            name: "Swarm-VIP-Dynamics, Swarm EFI, COSMIC-2 IVM ion density",
            href: "?layout=swarm_vip_dynamic_cosmic2",
        },
        {
            name: "Swarm-VIP-Dynamics, Swarm EFI, COSMIC-2 IVM ion density and GOLD",
            href: "?layout=swarm_vip_dynamic_cosmic2_gold",
        },
        {
            name: "FAST plasma data timeseries plot",
            href: "?layout=swarm_switch_fast_plasma_data",
        },
        {
            name: "FAST plasma data wiggle plot",
            href: "?layout=swarm_switch_fast_plasma_wiggle_plot",
        },
        {
            name: "OPER plasma data timeseries plot",
            href: "?layout=swarm_switch_oper_plasma_data",
        },
        {
            name: "OPER plasma data wiggle plot",
            href: "?layout=swarm_switch_oper_plasma_wiggle_plot",
        },
        {
            name: "OPER plasma irregularity data (interval images)",
            href: "?layout=swarm_switch_interval_image_demo",
        },
        {
            name: "FAST magnetic residual data timeseries plot",
            href: "?layout=swarm_switch_fast_mag_data",
        },
        {
            name: "FAST magnetic residual data wiggle plot",
            href: "?layout=swarm_switch_fast_mag_wiggle_plot",
        },
        {
            name: "OPER magnetic residual data timeseries plot",
            href: "?layout=swarm_switch_oper_mag_data",
        },
        {
            name: "OPER magnetic residual data wiggle plot",
            href: "?layout=swarm_switch_oper_mag_wiggle_plot",
        },
        {
            name: "FAST magnetic residual data, color mapped symbols",
            href: "?layout=swarm_switch_mag_colormap_symbols",
        },
        {
            name: "Neutral density data",
            href: "?layout=swarm_switch_neutral_density",
        },
        {
            name: "IPE model comparison",
            href: "?layout=swarm_switch_ipe_validation",
        },
        { name: "BRIK-II comparison", href: "?layout=swarm_switch_brik_ii" },
        { name: "NASA GOLD comparison", href: "?layout=swarm_switch_gold" },
        {
            name: "Tonga eruption ionosphere",
            href: "?layout=swarm_switch_tonga_ionosphere",
        },
        {
            name: "Tonga eruption thermosphere",
            href: "?layout=swarm_switch_tonga_thermosphere",
        },
    ];

    let layouts_experimental = [
        {
            name: "Compare sources of solar wind observations at L1",
            href: "?layout=solar_wind_sources",
        },
        {
            name: "Ground magnetometer observations",
            href: "?layout=ground_magnetometers",
        },
        { name: "Cluster magnetometer data", href: "?layout=cluster_fgm" },
        { name: "VIIRS DNB aurora", href: "?layout=viirs" },
        { name: "POLAR / IMAGE aurora", href: "?layout=aurora_images" },
        {
            name: "Geospace Dynamics Constellation simulated ephemeris",
            href: "?layout=swarm_switch_gdc",
        },
        {
            name: "Auroreye YouTube player",
            href: "?layout=auroreye",
        },
        {
            name: "NASA GSFC SDO YouTube player",
            href: "?layout=youtube_sdo",
        },
        // { name: "SUVI 94 Å and X-ray flux",                href: "index.html?layout=suvi094"},
        // { name: "SUVI 304 Å and X-ray flux",                href: "index.html?layout=suvi304"},
    ];
</script>

<div class="p-0">
    <Heading tag="h2" class="mt-0 mb-4" customSize="text-xl font-bold">
        General space weather products
    </Heading>
    <Listgroup items={layouts_general} let:item active class="w-full">
        {item.name}
    </Listgroup>

    <Heading tag="h2" class="mt-0 mb-4" customSize="text-xl font-bold">
        May 2024 geomagnetic storm observations
    </Heading>
    <Listgroup items={layouts_may2024} let:item active class="w-full">
        {item.name}
    </Listgroup>

    <Heading tag="h2" class="mt-4 mb-4" customSize="text-xl font-bold">
        Swarm project layouts
    </Heading>
    <Listgroup items={layouts_swarm} let:item active class="w-full">
        {item.name}
    </Listgroup>

    <Heading tag="h2" class="mt-4 mb-4" customSize="text-xl font-bold">
        Experimental layouts
    </Heading>
    <Listgroup items={layouts_experimental} let:item active class="w-full">
        {item.name}
    </Listgroup>

    <!-- {$layout_file} -->

    <!-- <Button on:click={()=>{zoomClick(new Date("2015-03-16"), new Date("2015-03-19"))} }>zoom</Button>
    <Button on:click={()=>{zoomClick(new Date("2017-09-07"), new Date("2017-09-10"))} }>zoom</Button> -->
    <!-- <Button on:click={()=>{$layout_file = 'newlayout_simple.json'} }>layout 1</Button>
    <Button on:click={()=>{$layout_file = 'layout_omni_ae_intermagnet.json'} }>layout 2</Button> -->
</div>

<style>
</style>
